#ifndef FLUTTER_PLUGIN_FLUTTER_CONSCENT_PLUGIN_H_
#define FLUTTER_PLUGIN_FLUTTER_CONSCENT_PLUGIN_H_

#include <flutter/method_channel.h>
#include <flutter/plugin_registrar_windows.h>

#include <memory>

namespace flutter_conscent_plugin {

class FlutterConscentPlugin : public flutter::Plugin {
 public:
  static void RegisterWithRegistrar(flutter::PluginRegistrarWindows *registrar);

  FlutterConscentPlugin();

  virtual ~FlutterConscentPlugin();

  // Disallow copy and assign.
  FlutterConscentPlugin(const FlutterConscentPlugin&) = delete;
  FlutterConscentPlugin& operator=(const FlutterConscentPlugin&) = delete;

 private:
  // Called when a method is called on this plugin's channel from Dart.
  void HandleMethodCall(
      const flutter::MethodCall<flutter::EncodableValue> &method_call,
      std::unique_ptr<flutter::MethodResult<flutter::EncodableValue>> result);
};

}  // namespace flutter_conscent_plugin

#endif  // FLUTTER_PLUGIN_FLUTTER_CONSCENT_PLUGIN_H_
